Skip to main content
PUT
/
payments
/
disputes
/
{id}
Update Dispute
curl --request PUT \
  --url https://api.rootfi.dev/v4/payments/disputes/{id} \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "evidence": {
    "customer_communication": "<string>",
    "receipt": "<string>",
    "shipping_documentation": "<string>",
    "service_documentation": "<string>",
    "refund_policy": "<string>",
    "customer_signature": "<string>",
    "uncategorized_text": "<string>"
  },
  "metadata": {}
}
'
{
  "rootfi_id": 157,
  "rootfi_created_at": "2024-01-22T05:07:31.465Z",
  "rootfi_updated_at": "2024-01-22T05:07:31.000Z",
  "rootfi_company_id": 1089,
  "platform_id": "123456",
  "rootfi_deleted_at": "2023-11-07T05:31:56Z",
  "platform_unique_id": "<string>",
  "raw_data": {},
  "data_hash": "<string>",
  "transaction_id": "<string>",
  "invoice_id": "<string>",
  "contact_id": "<string>",
  "currency_id": "<string>",
  "amount": 123,
  "status": "OPEN",
  "reason": "FRAUDULENT",
  "reason_code": "<string>",
  "gateway": "<string>",
  "gateway_dispute_id": "<string>",
  "evidence_due_date": "<string>",
  "resolution_date": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}
Update a dispute, typically to submit evidence or respond to a chargeback.

Path Parameters

ParameterTypeRequiredDescription
idstringYesThe rootfi_id or platform_id of the dispute

Request Body

FieldTypeRequiredDescription
evidenceobjectNoEvidence to submit for the dispute
metadataobjectNoAdditional information

Evidence Object

FieldTypeDescription
customer_communicationstringRelevant contact communications
receiptstringReceipt or proof of purchase URL
shipping_documentationstringShipping/tracking documentation URL
service_documentationstringProof of service delivery URL
refund_policystringYour refund policy URL
customer_signaturestringContact signature URL
uncategorized_textstringAdditional supporting text
Evidence must be submitted before the evidence_due_date. Late submissions may be rejected by the payment processor.
See Dispute Overview for complete field details.

Authorizations

api_key
string
header
required

Path Parameters

id
string
required

Body

application/json
evidence
object
metadata
object

Response

Dispute updated successfully

V4 Dispute model representing contact disputes and chargebacks.

rootfi_id
number<double>
required

The unique ID we assign for that data's information

Example:

157

rootfi_created_at
string<date-time>
required

The date at which RootFi first synced this data

Example:

"2024-01-22T05:07:31.465Z"

rootfi_updated_at
string<date-time>
required

The latest date at which RootFi updated this data

Example:

"2024-01-22T05:07:31.000Z"

rootfi_company_id
number<double>
required

The ID of the company in the accounting platform

Example:

1089

platform_id
string
required

An unique custom RootFi ID made from platform's unique_id.

Example:

"123456"

rootfi_deleted_at
string<date-time> | null

The date at which the data was deleted in the accounting platform

platform_unique_id
string | null

The ID of the data in the accounting platform.

raw_data
object

A JSON containing fields that you can directly get from the accounting platform.

data_hash
string | null

The hash of the data

transaction_id
string | null

Reference to the disputed Transaction.

invoice_id
string | null

Reference to the related Invoice.

contact_id
string | null

Reference to the Contact.

currency_id
string | null

ISO 4217 currency code.

amount
number<double> | null

Disputed amount.

status
enum<string> | null

Current dispute status (OPEN, UNDER_REVIEW, WON, LOST, WARNING_CLOSED, UNKNOWN).

Available options:
OPEN,
UNDER_REVIEW,
WON,
LOST,
WARNING_CLOSED,
UNKNOWN
reason
enum<string> | null

Standardized dispute reason.

Available options:
FRAUDULENT,
DUPLICATE,
UNRECOGNIZED,
QUALITY_ISSUE,
NOT_RECEIVED,
CANCELED,
OTHER
reason_code
string | null

Platform-specific reason code.

gateway
string | null

Payment gateway name.

gateway_dispute_id
string | null

Platform-specific dispute ID.

evidence_due_date
string | null

Deadline for submitting evidence (ISO 8601).

resolution_date
string | null

Date dispute was resolved, null if pending (ISO 8601).

created_at
string | null

Original dispute creation timestamp (ISO 8601).

updated_at
string | null

Last update timestamp (ISO 8601).